aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorOliver Smith <osmith@sysmocom.de>2019-07-24 10:57:39 +0200
committerSteve Markgraf <steve@steve-m.de>2019-08-01 01:03:04 +0200
commitfb206158f9ba8b426ca7c8fb180f4fc324ff208a (patch)
treecf042b5738dbc200446cee516a5773779f740988
parentdf33203db5007218384e6724748be52a1d4fdb25 (diff)
contrib/jenkins.sh: osmo-fl2k build verification
Related: OS#3203 Signed-off-by: Oliver Smith <osmith@sysmocom.de> Signed-off-by: Steve Markgraf <steve@steve-m.de>
-rwxr-xr-xcontrib/jenkins.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..8c3b1cf
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,18 @@
+#!/bin/sh -ex
+# This is how we build on jenkins.osmocom.org.
+
+CFLAGS="-Werror"
+
+if ! [ -x "$(command -v osmo-clean-workspace.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-clean-workspace.sh from osmo-ci.git in PATH!"
+ exit 2
+fi
+
+osmo-clean-workspace.sh
+cmake \
+ -DINSTALL_UDEV_RULES=ON \
+ -DCMAKE_C_FLAGS="$CFLAGS" \
+ .
+make $PARALLEL_MAKE
+make DESTDIR="_install" install
+osmo-clean-workspace.sh